- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_Default_Server_Strategy_Factory Class Reference

This is the default strategy factory for CORBA servers. It allows developers to choose strategies via argument flags. This design gives substantial freedom for experimentation. More...

`#include <default_server.h>`

Inheritance diagram for TAO_Default_Server_Strategy_Factory:

[legend]
Collaboration diagram for TAO_Default_Server_Strategy_Factory:

[legend]
List of all members.

## Public Member Functions
| TAO_Default_Server_Strategy_Factory (void)
virtual | ~TAO_Default_Server_Strategy_Factory (void)
virtual int | init (int argc, ACE_TCHAR *argv[])
virtual int | open (TAO_ORB_Core *)
virtual int | enable_poa_locking (void)
| Enable POA locking?
virtual int | activate_server_connections (void)
| Are server connections active (i.e. run in their own thread).
virtual int | thread_per_connection_timeout (ACE_Time_Value &timeout)
virtual int | server_connection_thread_flags (void)
| The thread activation parameters.
virtual int | server_connection_thread_count (void)
int | parse_args (int argc, ACE_TCHAR *argv[])
## Protected Types
enum | Lock_Type { TAO_NULL_LOCK, TAO_THREAD_LOCK }
## Protected Member Functions
void | tokenize (ACE_TCHAR *flag_string)
void | report_option_value_error (const ACE_TCHAR *option_name, const ACE_TCHAR *option_value)
## Protected Attributes
int | activate_server_connections_
| Should the server connection handlers run in their own thread?
int | thread_flags_
| Default thread flags passed to thr_create().
Lock_Type | poa_lock_type_
| The type of lock to be returned by <create_poa_lock()>.
int | thread_per_connection_use_timeout_
| The timeout flag and value for the thread-per-connection model.
ACE_Time_Value | thread_per_connection_timeout_

## Detailed Description

This is the default strategy factory for CORBA servers. It allows developers to choose strategies via argument flags. This design gives substantial freedom for experimentation.

## Member Enumeration Documentation

enum TAO_Default_Server_Strategy_Factory::Lock_Type`[protected]`

Enumerator:

  TAO_NULL_LOCK |
  TAO_THREAD_LOCK |

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_Default_Server_Strategy_Factory::TAO_Default_Server_Strategy_Factory | ( | void |  | ) |

TAO_Default_Server_Strategy_Factory::~TAO_Default_Server_Strategy_Factory | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_Default_Server_Strategy_Factory::activate_server_connections | ( | void |  | ) | `[virtual]`

Are server connections active (i.e. run in their own thread).

Reimplemented from TAO_Server_Strategy_Factory.

int TAO_Default_Server_Strategy_Factory::enable_poa_locking | ( | void |  | ) | `[virtual]`

Enable POA locking?

Reimplemented from TAO_Server_Strategy_Factory.

int TAO_Default_Server_Strategy_Factory::init | ( | int | argc,
|  | ACE_TCHAR * | argv[] |
| ) |  |  | `[virtual]`

Reimplemented from ACE_Shared_Object.

int TAO_Default_Server_Strategy_Factory::open | ( | TAO_ORB_Core * |  | ) | `[virtual]`

Call <open> on various strategies. This is not performed in <init> so that the other portions of the ORB have a chance to "settle" in their initialization since the streategies herein might need some of that information.

Reimplemented from TAO_Server_Strategy_Factory.

int TAO_Default_Server_Strategy_Factory::parse_args | ( | int | argc,
|  | ACE_TCHAR * | argv[] |
| ) |  |  |

Parse the arguments, check the documentation in $TAO_ROOT/docs/Options.html for details

void TAO_Default_Server_Strategy_Factory::report_option_value_error | ( | const ACE_TCHAR * | option_name,
|  | const ACE_TCHAR * | option_value |
| ) |  |  | `[protected]`

int TAO_Default_Server_Strategy_Factory::server_connection_thread_count | ( | void |  | ) | `[virtual]`

Reimplemented from TAO_Server_Strategy_Factory.

int TAO_Default_Server_Strategy_Factory::server_connection_thread_flags | ( | void |  | ) | `[virtual]`

The thread activation parameters.

Reimplemented from TAO_Server_Strategy_Factory.

int TAO_Default_Server_Strategy_Factory::thread_per_connection_timeout | ( | ACE_Time_Value & | timeout | ) | `[virtual]`

Obtain the timeout value used by the thread-per-connection server threads to poll the shutdown flag in the ORB. Return -1 if the ORB should use the compile-time defaults. If the return value is zero then the threads block without timeouts.

Reimplemented from TAO_Server_Strategy_Factory.

void TAO_Default_Server_Strategy_Factory::tokenize | ( | ACE_TCHAR * | flag_string | ) | `[protected]`

## Member Data Documentation

int TAO_Default_Server_Strategy_Factory::activate_server_connections_`[protected]`

Should the server connection handlers run in their own thread?

Lock_Type TAO_Default_Server_Strategy_Factory::poa_lock_type_`[protected]`

The type of lock to be returned by <create_poa_lock()>.

int TAO_Default_Server_Strategy_Factory::thread_flags_`[protected]`

Default thread flags passed to thr_create().

ACE_Time_Value TAO_Default_Server_Strategy_Factory::thread_per_connection_timeout_`[protected]`

int TAO_Default_Server_Strategy_Factory::thread_per_connection_use_timeout_`[protected]`

The timeout flag and value for the thread-per-connection model.

The documentation for this class was generated from the following files:

- default_server.h
- default_server.cpp